### A free/open-source library for quantitative finance

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions
HullWhite Class Reference
Short-rate modelling framework

Single-factor Hull-White (extended Vasicek) model class. More...

`#include <ql/models/shortrate/onefactormodels/hullwhite.hpp>`

Inheritance diagram for HullWhite:
[legend]

List of all members.

## Classes

class | Dynamics
| Short-rate dynamics in the Hull-White model. More...
class | FittingParameter
| Analytical term-structure fitting parameter . More...

## Public Member Functions

| HullWhite (const Handle< YieldTermStructure > &termStructure, Real a=0.1, Real sigma=0.01)
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.
boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const

## Static Public Member Functions

static Rate | convexityBias (Real futurePrice, Time t, Time T, Real sigma, Real a)

## Protected Member Functions

void | generateArguments ()
Real | A (Time t, Time T) const

## Detailed Description

Single-factor Hull-White (extended Vasicek) model class.

This class implements the standard single-factor Hull-White model defined by

where and are constants.

Tests:
  calibration results are tested against cached values

Bug:
  When the term structure is relinked, the r0 parameter of the underlying Vasicek model is not updated.

Examples:
  BermudanSwaption.cpp, and CallableBonds.cpp.

## Member Function Documentation

static Rate convexityBias | ( | Real | futurePrice,
|  | Time | t,
|  | Time | T,
|  | Real | sigma,
|  | Real | a
| ) |  | `[static]`

Futures convexity bias (i.e., the difference between futures implied rate and forward rate) calculated as in G. Kirikos, D. Novak, "Convexity Conundrums", Risk Magazine, March 1997.

Note:
  t and T should be expressed in yearfraction using deposit day counter, F_quoted is futures' market price.